import unittest
from csst_common import File


class TestFile(unittest.TestCase):
    def test_parameterized_module_decorator(self):
        f = File("/path/to/file.fits")
        self.assertEqual(f.switch_extension(".cat"), "/path/to/file.cat")
        self.assertEqual(f.switch_extension("img.cat"), "/path/to/file_img.cat")
